Titanium.include('include.js');
Titanium.include('helper/text_helper.js');

var window = Titanium.UI.currentWindow;



/**********************************************************************************
funzione per caricare i feeds
**********************************************************************************/
function load_feeds(tableview_feeds)
{
	/**************************
	loading indicator
	**************************/
	actInd.message = 'Cargando los contenidos...';
	actInd.show();

	/**************************
	carica i feeds
	**************************/
	
	//create table view data object
	var data = [];
	
	Titanium.API.info(LINK_FEED_SERIESYONKIS_ULTIMOS_CAPITULOS);
	
	var xhr = Ti.Network.createHTTPClient();
	xhr.open("GET", LINK_FEED_SERIESYONKIS_ULTIMOS_CAPITULOS);
	//xhr.setRequestHeader('Content-Type','text/xml'); 
	
	
	xhr.onerror = function()
	{
		actInd.hide();
		var alertDialog = Titanium.UI.createAlertDialog({
		    title: 'Aviso',
		    message: 'Problemas en conectarse a la red',
		    buttonNames: ['OK']
		});	alertDialog.show();
	}
	xhr.onload = function()
	{

		var response_xml = this.responseXML;
		
		if (response_xml != null)
		{
			var doc = response_xml.documentElement;
			
			//var doc = this.responseXML;
			if (doc != null)
			{
				//Titanium.API.info('Leggo gli <item> dell\'xml');
				var items = doc.getElementsByTagName("item");
				
				// arr_titles = array dei titolo dei feed. per la funzione inArray(needle, haystack)
				var arr_titles = [];
				
				for (var c = 0; c < items.length; c++)
				{
					var item = items.item(c);
					
					// title = titolo puntata
					var title = trim(item.getElementsByTagName("title").item(0).text);
					if (!inArray(title, arr_titles))
					{
						arr_titles.push(title);
						var row = Ti.UI.createTableViewRow();
						var row_text = Titanium.UI.createView({
							layout: 	'vertical',
							height:		'auto',
						});	row.add(row_text);
			
						// titolo puntata
							var label = Ti.UI.createLabel({
								text:		title,
								top:		5,
								bottom:		5,
								right:		5,
								left:		5,
								textAlign: 	'left',
								color:    	'#000'
							});	row_text.add(label);
						
						/*
						// pubblicato il
							var data_pubblicato = trim(item.getElementsByTagName("pubDate").item(0).text);
							var label = Ti.UI.createLabel({
								text:		'Publicado el '+parseDate(data_pubblicato),
								top:		5,
								bottom:		5,
								right:		5,
								left:		5,
								textAlign: 	'left',
								color:    	'#666',
								font:	{
									fontSize:11
								},
								shadowColor:'#aaa',
							    shadowOffset:{x:5,y:5}
							});	row_text.add(label);
						*/
						
						data[c] = row;
					}
				}
				tableview_feeds.setData(data);
			}
		}
		actInd.hide();
	}
	xhr.send();
}

/**********************************************************************************
funzione per caricare la pubblicità
**********************************************************************************/
function displayAd(adUrl, adWebView)
{
    var numLoads = 0;
    if (adWebView) {
        window.remove(adWebView);
    }
    adWebView = Ti.UI.createWebView({
    	url:	adUrl,
    	height:	48,
    	bottom: 0,
    	left: 	0,
    	right: 	0
    });
    
    //Titanium.API.info(adWebView.html);
    
    window.add(adWebView);
    tableview_feeds.bottom = 48;
    
    adWebView.addEventListener('load', function (evt) {
    		        
	    Titanium.API.info('Load della pagina admob');
	    //Titanium.API.info(adWebView.html);

        numLoads++;
        if (numLoads > 1)
        {
        	//Titanium.API.info('original url: '+evt.url);

        	//var url = evt.url.split('market://').join('http://');
        	var url = evt.url.split('market://').join('http://market.android.com/');
        	
        	//Titanium.API.info('ad url: '+url);
        	//adWebView.lastURL = evt.url;
        	
            //launch ad url in new browser window.
            Titanium.Platform.openURL(url);
            //load a new ad.
            displayAd(adUrl, adWebView);
        }

    });
    adWebView.addEventListener('error', function (evt) {
    	 if (adWebView) {
    		 tableview_feeds.bottom = 0;
	        window.remove(adWebView);
	    }
    	//Titanium.API.info('error della webview');
    });
}
/*
function displayAd(adUrl, adWebView)
{
	var numLoads = 0;
    if (adWebView) {
        window.remove(adWebView);
    }
    
	adWebView = Ti.UI.createWebView({
		height: 48, bottom: 0, left: 0, right: 0
	});	//window.add(adWebView);
    
	var xhr_admob = Ti.Network.createHTTPClient();
	xhr_admob.open("GET",adUrl);
	xhr_admob.onload = function()
	{
		Titanium.API.info('Load ajax della pagina admob');
		Titanium.API.info(this.responseText);
		Titanium.API.info(contains_ad(this.responseText));
		if (contains_ad(this.responseText))
		{
			adWebView.html = this.responseText;
			window.add(adWebView);
			tableview.bottom = 48;
		}
	}
	xhr_admob.send();
	
	adWebView.addEventListener('load', function (evt) {		
        numLoads++;
        if (numLoads > 1) {
        	
        	Titanium.API.info("adWebView.addEventListener('load')");
        	
        	//var url = evt.url.split('market://').join('http://');
        	var url = evt.url.split('market://').join('http://market.android.com/');

            //launch ad url in new browser window.
            Titanium.Platform.openURL(url);
            //load a new ad.
            displayAd();
        }
	});
}

var adUrl = "http://www.emanuelegaspari.com/admob_yonkisfeed.php";
var adWebView = null;
displayAd(adUrl, adWebView);
*/

/**********************************************************************************
funzioni varie
**********************************************************************************/
/**
 * visualizza un alert per problemi di connessione
 */
function display_alert_not_connected()
{
	var alertDialog = Titanium.UI.createAlertDialog({
	    title: 'Aviso',
	    message: 'Atención: Tienes que estar conectado a internet',
	    buttonNames: ['OK']
	});	alertDialog.show();
}

/**
 * verifica che il dispositivo sia connesso a internet
 * @returns
 */
function isConnected()
{	
	//if (Titanium.Network.networkType == Titanium.Network.NETWORK_NONE)
	if (Titanium.Network.networkTypeName == 'NONE')
	//if (Titanium.Network.online)
	{
		return false;
	}
	return true;
}

/**********************************************************************************
layout
**********************************************************************************/

// admob
	var adUrl = "http://www.emanuelegaspari.com/admob_yonkisfeed.php";
	var adWebView = null;

var tableview_feeds = Titanium.UI.createTableView({
	//data:data,
	//headerTitle: 'Ultimos capitulos de series televisivas'
	//top:	26
	top:	0,
	//bottom:	48
});
window.add(tableview_feeds);


if (!isConnected())
{
	//display_alert_not_connected();
	
	var view_error_not_connected = Titanium.UI.createView({
		layout: 'vertical',
		height:	'auto',
	});	window.add(view_error_not_connected);
	var label = Titanium.UI.createLabel({
		top:		150,
		left:		15,
		right:		15,
		text:		'Problema de conexión.',
		textAlign: 	'center',
		color:		'#666'
	});	view_error_not_connected.add(label);
	
	var button_reload = Titanium.UI.createButton({
		top:		50,
		left:		15,
		right:		15,
		title: 'Recarga los contenidos'
	});	view_error_not_connected.add(button_reload);
	button_reload.addEventListener('click',function(e)
	{
		if (isConnected())
		{
			window.remove(view_error_not_connected);
			load_feeds(tableview_feeds);
			displayAd(adUrl, adWebView);
		}
		else
		{
			//display_alert_not_connected();
		}
	});
}
else 	// ! if (isConnected())
{
	load_feeds(tableview_feeds);
	displayAd(adUrl, adWebView);
}

