Titanium.include('include.js');
Titanium.include('helper/text_helper.js');


/**********************************************************************************
layout
**********************************************************************************/
var window = Titanium.UI.currentWindow;

var tableview_series_alphabet = Titanium.UI.createTableView({
	//data:data,
	//headerTitle: 'Ultimos capitulos de series televisivas'
	//top:	26
	top:	0,
	//bottom:	48
});
window.add(tableview_series_alphabet);



var filename_series_with_seasons = FILENAME_SERIES_WITH_SEASONS;

downloadCsvSeriesWithSeasons();

loadAlphabetSeries({
	tableview: tableview_series_alphabet
});

/**********************************************************************************
funzione per scaricare il file csv delle serie con stagioni e salvarlo in locale
**********************************************************************************/
function downloadCsvSeriesWithSeasons()
{
	actInd.message = 'Descargando la lista de series actualizada...';
	actInd.show();
	var xhr = Ti.Network.createHTTPClient();
	xhr.open("GET", LINK_CSV_SERIES);
	
	xhr.onload = function()
	{
		var file_series_with_seasons = Titanium.Filesystem.getFile(Titanium.Filesystem.applicationDataDirectory, FILENAME_SERIES_WITH_SEASONS);
		var doc = xhr.responseText;
		//file_series_with_seasons.write(xhr.responseData);
		file_series_with_seasons.write(doc);
		
		actInd.hide();
		
		/*
		// carico il file csv nella tabella
		fileCsv2Tableview({
			filename:	FILENAME_SERIES_WITH_SEASONS,
			tableview:	tableview_series
		});
		*/
	}
	xhr.onerror = function()
	{
		actInd.hide();
		var alertDialog = Titanium.UI.createAlertDialog({
		    title: 'Aviso',
		    message: 'Problemas en conectarse a la red',
		    buttonNames: ['OK']
		});	alertDialog.show();
	}
	xhr.ondatastream = function(e)
	{
		actInd.value = e.progress;
	    //Ti.API.info('ONDATASTREAM1 - PROGRESS: ' + e.progress);
	    var kb = Math.round(e.progress * xhr.getResponseHeader('Content-Length')/1024);
	    Ti.API.info('Downloaded ' + kb + ' KB');          
	}
	xhr.send();
}


/**********************************************************************************
funzione per fare il parsing di un file csv e metterlo in una tabella
**********************************************************************************/
/**
 * fileCsv2Tableview(filename, tableview)
 * @options.filename = il file csv di cui fare il parsing
 * @options.tableview = l'oggetto TableView in cui mettere le row
 * 
 * !! schema del file csv richiesto:
 * 		[name],[series_yonkis_id],[url]
 * 
 */
/*
function fileCsv2Tableview(options)
{
	if (options == null)
	{
		Titanium.API.info('specificare le opzioni per fileCsv2Tableview()');
		return false;
	}
	
	var filename					= (options.filename || null);
	var tableview					= (options.tableview || null);
	
	
	actInd.message = 'Cargando los contenidos...';
	actInd.show();
	
		
		// arr_csv = array con il contenuto del file csv
		var arr_csv = CSVToArray(filename);
		
		var data = [];
		for (var i = 0; i < arr_csv.length; i++)
		{
			var row = Ti.UI.createTableViewRow({
				className: 'serie'
			});
			
			var arr_serie = arr_csv[i];
			
			// cambiare questi se cambia il formato del file csv
				var serie_name				= arr_serie[0];
				var serie_series_yonkis_id	= arr_serie[1];
				var serie_url				= arr_serie[2];

			// nome serie
				var label = Ti.UI.createLabel({
					text:		serie_name,
					top:		5,
					bottom:		5,
					right:		5,
					left:		5,
					textAlign: 	'left',
					color:    	'#000'
				});	row.add(label);
			
			data[i] = row;
		}
		tableview.setData(data);
	}
	else
	{
		// il file non esiste
	}
	actInd.hide();
}
*/





/**********************************************************************************
funzione per fare il parsing del file csv delle serie con stagioni
e fare la tabella con le iniziali delle serie
**********************************************************************************/
/**
 * fileCsv2Tableview(filename, tableview)
 * @options.tableview = l'oggetto TableView in cui mettere le row
 * 
 * !! schema del file csv richiesto:
 * 		[name],[series_yonkis_id],[url]
 * 
 */

function loadAlphabetSeries(options)
{
	if (options == null)
	{
		Titanium.API.info('specificare le opzioni per fileCsv2Tableview()');
		return false;
	}
	
	var tableview					= (options.tableview || null);	
	
	actInd.message = 'Cargando los contenidos...';
	actInd.show();
	
		
		// arr_csv = array con il contenuto del file csv
		var arr_csv = CSVToArray(FILENAME_SERIES_WITH_SEASONS);
		
		var data = [];
		for (var i = 0; i < arr_csv.length; i++)
		{
			var row = Ti.UI.createTableViewRow({
				className: 'serie'
			});
			
			var arr_serie = arr_csv[i];
			
			// cambiare questi se cambia il formato del file csv
				var serie_name				= arr_serie[0];
				var serie_series_yonkis_id	= arr_serie[1];
				var serie_url				= arr_serie[2];

			// nome serie
				var label = Ti.UI.createLabel({
					text:		serie_name.substr(0),
					top:		5,
					bottom:		5,
					right:		5,
					left:		5,
					textAlign: 	'left',
					color:    	'#000'
				});	row.add(label);
			
			data[i] = row;
		}
		tableview.setData(data);
	}
	else
	{
		// il file non esiste
	}
	actInd.hide();
}













